#
# spec file for package python-funcsigs
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-funcsigs
Version:        1.0.2
Release:        lp150.2.8
Summary:        Python function signatures from PEP362
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://funcsigs.readthedocs.org
Source:         https://files.pythonhosted.org/packages/source/f/funcsigs/funcsigs-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2
BuildRequires:  python-rpm-macros
Provides:       python2-funcsigs = %{version}
BuildArch:      noarch

%description
The funcsigs package is a backport of the PEP 362 function signature
features from Python 3.3's inspect module.

%prep
%setup -q -n funcsigs-%{version}

%build
%python2_build

%install
%python2_install
%fdupes %{buildroot}%{python2_sitelib}

%check
python2 setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.rst
%{python2_sitelib}/*

%changelog
* Thu Sep  7 2017 toddrme2178@gmail.com
- Revert single-spec conversion.
  This is a backport package, it shouldn't be used with python3.
- Use provides python2-funcsigs for compatibility with single-spec
  packages.
- Use some newer macros.
* Mon May 22 2017 tbechtold@suse.com
- Convert to singlespec
* Thu Jun 16 2016 aloisio@gmx.com
- Fixed SLE11 build
* Thu Jun  2 2016 tbechtold@suse.com
- update to 1.0.2:
  No changelog provided.
- use pypi.io as Source url
* Tue Mar  3 2015 toddrme2178@gmail.com
- Initial version
